GET Assets/ByLastModifiedDate?assetTypeId={assetTypeId}&beginDate={beginDate}&endDate={endDate}
Retrieves assets for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetTypeId |
Id of the asset type |
globally unique identifier |
None. |
| beginDate |
Beginning last modified date of the assets to retrieve |
date |
None. |
| endDate |
Ending last modified date of the assets to retrieve |
date |
None. |
Body Parameters
None.
Response Information
Resource Description
On success, a list of assets.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Asset |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"AssetId": "077d7b4f-b35e-448e-9e59-3c67dfae7a24",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "663f66dc-72d2-453a-86f8-d9bc30840d40",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "7dd879df-bb5f-45c6-92c6-d070f4ca8dff",
"CreateDate": "2026-11-19T01:24:23.6153238-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-19T01:24:23.6153238-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "2bbd6c84-4e94-445f-9084-b979655f2e94",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-19T01:24:23.6153238-08:00",
"MeasurementValueNeededDate": "2026-11-19T01:24:23.6153238-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "bce69abc-ccff-423c-8155-c72c1dccc716",
"CreateDate": "2026-11-19T01:24:23.6153238-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-19T01:24:23.6153238-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-19T01:24:23.6153238-08:00",
"MeasurementValueNeededDate": "2026-11-19T01:24:23.6153238-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "22a774bd-f149-4d13-9f2c-584ce24ca420",
"CreateDate": "2026-11-19T01:24:23.6153238-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-19T01:24:23.6153238-08:00",
"LastModifiedUser": "sample string 8"
},
{
"AssetId": "077d7b4f-b35e-448e-9e59-3c67dfae7a24",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "663f66dc-72d2-453a-86f8-d9bc30840d40",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "7dd879df-bb5f-45c6-92c6-d070f4ca8dff",
"CreateDate": "2026-11-19T01:24:23.6153238-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-19T01:24:23.6153238-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "2bbd6c84-4e94-445f-9084-b979655f2e94",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-19T01:24:23.6153238-08:00",
"MeasurementValueNeededDate": "2026-11-19T01:24:23.6153238-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "bce69abc-ccff-423c-8155-c72c1dccc716",
"CreateDate": "2026-11-19T01:24:23.6153238-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-19T01:24:23.6153238-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-19T01:24:23.6153238-08:00",
"MeasurementValueNeededDate": "2026-11-19T01:24:23.6153238-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "22a774bd-f149-4d13-9f2c-584ce24ca420",
"CreateDate": "2026-11-19T01:24:23.6153238-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-19T01:24:23.6153238-08:00",
"LastModifiedUser": "sample string 8"
}
],
"Total": 1,
"Message": "sample string 1"
}